## mono-reference-assemblies 3.12.1+dfsg

=== mcs/Makefile ===
thisdir := .

SUBDIRS := build jay mcs class nunit24 ilasm tools tests errors docs

# Resgen is corlib specific tool

basic_SUBDIRS := build jay mcs class
build_SUBDIRS := build class mcs class/aot-compiler tools
net_2_0_SUBDIRS := build class nunit24 ilasm tools tests errors docs
monodroid_SUBDIRS := build class
monotouch_SUBDIRS := build class
monotouch_runtime_SUBDIRS := build class
xammac_SUBDIRS := build class
mobile_SUBDIRS := build class
mobile_static_SUBDIRS := build class
net_3_5_SUBDIRS := build class tools/xbuild
net_4_0_SUBDIRS := build class
net_4_5_SUBDIRS := build mcs class nunit24 ilasm tools tests errors docs
xbuild_12_SUBDIRS := build class tools/xbuild

# List of test subdirs that should pass 100%
centum_tests := \
	class/corlib						\
	class/System						\
	class/System.XML					\
	class/Commons.Xml.Relaxng				\
	class/Cscompmgd						\
	class/Mono.Posix					\
	class/Mono.Security					\
	class/System.Design					\
	class/System.DirectoryServices		\
	class/System.Drawing				\
	class/System.Runtime.Remoting				\
	class/System.Runtime.Serialization.Formatters.Soap	\
	class/System.Security					\
	class/System.ServiceProcess				\
	class/System.Web						\
	class/System.Web.Services				\
	tests							\
	errors

default_centum_tests := \
	$(centum_tests) 	\
	class/System.Data

net_2_0_centum_tests := \
	$(centum_tests)				\
	class/System.Core			\
	class/System.Configuration		\
	class/System.Data.DataSetExtensions	\
	class/System.Xml.Linq			\
	class/System.Transactions		\
	class/Microsoft.Build.Framework		\
	class/Microsoft.Build.Utilities		\
	class/Microsoft.Build.Engine		\
	class/System.Runtime.Serialization	\
	class/System.IdentityModel		\
	class/System.ServiceModel		\
	class/System.ServiceModel.Web		\
	class/Mono.C5

#	class/System.Web.Extensions
#	class/Microsoft.Build.Tasks	

# note that System.Xml.Linq is here to prevent this from being empty
net_3_5_centum_tests := \
	class/System.Xml.Linq

ifdef ONLY_CENTUM_TESTS
TEST_SUBDIRS := $($(PROFILE)_centum_tests)
endif

ifdef TEST_SUBDIRS
$(PROFILE)_SUBDIRS := $(TEST_SUBDIRS)
endif

include build/rules.make

all-recursive $(STD_TARGETS:=-recursive): dir-check platform-check profile-check

.PHONY: all-local $(STD_TARGETS:=-local)
all-local $(STD_TARGETS:=-local):
	@:

dir-check:
	@if [ "$(NO_DIR_CHECK)" = "" -a "$(PROFILE)" != "basic" ]; then $(MAKE) -C ../runtime; fi

# fun specialty targets

PROFILES = net_2_0 net_3_5 net_4_0 net_4_5 xbuild_12

.PHONY: all-profiles $(STD_TARGETS:=-profiles)
all-profiles $(STD_TARGETS:=-profiles): %-profiles: profiles-do--%
	@:

profiles-do--%:
	$(MAKE) $(PROFILES:%=profile-do--%--$*)

# The % below looks like profile-name--target-name
profile-do--%:
	$(MAKE) PROFILE=$(subst --, ,$*)

# We don't want to run the tests in parallel.  We want behaviour like -k.
profiles-do--run-test:
	ret=:; $(foreach p,$(PROFILES), { $(MAKE) PROFILE=$(p) run-test || ret=false; }; ) $$ret

# Orchestrate the bootstrap here.
_boot_ = all clean install
$(_boot_:%=profile-do--xbuild_12--%):         profile-do--xbuild_12--%:         profile-do--net_4_5--%
$(_boot_:%=profile-do--net_4_5--%):           profile-do--net_4_5--%:           profile-do--build--%
$(_boot_:%=profile-do--net_4_0--%):           profile-do--net_4_0--%:           profile-do--build--%
$(_boot_:%=profile-do--net_3_5--%):           profile-do--net_3_5--%:           profile-do--net_2_0--%
$(_boot_:%=profile-do--monodroid--%):         profile-do--monodroid--%:         profile-do--build--%
$(_boot_:%=profile-do--monotouch--%):         profile-do--monotouch--%:         profile-do--build--%
$(_boot_:%=profile-do--monotouch_runtime--%):  profile-do--monotouch_runtime--%:  profile-do--build--%
$(_boot_:%=profile-do--xammac--%):            profile-do--xammac--%:            profile-do--build--%
$(_boot_:%=profile-do--mobile--%):            profile-do--mobile--%:         profile-do--build--%
$(_boot_:%=profile-do--mobile_static--%):     profile-do--mobile_static--%:     profile-do--build--%
$(_boot_:%=profile-do--net_2_0--%):           profile-do--net_2_0--%:           profile-do--build--%
$(_boot_:%=profile-do--build--%):             profile-do--build--%:             profile-do--basic--%

testcorlib:
	@cd class/corlib && $(MAKE) test run-test

compiler-tests:
	$(MAKE) TEST_SUBDIRS="tests errors" run-test-profiles

package := mcs-$(VERSION)

DISTFILES = \
	AUTHORS			\
	ChangeLog		\
	COPYING			\
	COPYING.LIB		\
	INSTALL.txt		\
	LICENSE			\
	LICENSE.GPL		\
	LICENSE.LGPL		\
	LICENSE.MPL		\
	Makefile		\
	mkinstalldirs		\
	MIT.X11			\
	MonoIcon.png		\
	README			\
	ScalableMonoIcon.svg	\
	winexe.in

dist-local: dist-default

csproj-local:

dist-pre:
	rm -rf $(package)
	mkdir $(package)

dist-tarball: dist-pre
	$(MAKE) distdir='$(package)' dist-recursive
	tar cvjf $(package).tar.bz2 $(package)

dist: dist-tarball
	rm -rf $(package)

# the egrep -v is kind of a hack (to get rid of the makefrags)
# but otherwise we have to make dist then make clean which
# is sort of not kosher. And it breaks with DIST_ONLY_SUBDIRS.
#
# We need to set prefix on make so class/System/Makefile can find
# the installed System.Xml to build properly

distcheck: dist-tarball
	rm -rf InstallTest Distcheck-MCS ; \
	mkdir InstallTest ; \
	destdir=`cd InstallTest && pwd` ; \
	mv $(package) Distcheck-MCS ; \
	(cd Distcheck-MCS && \
	    $(MAKE) prefix=$(prefix) && $(MAKE) test && $(MAKE) install DESTDIR="$$destdir" && \
	    $(MAKE) clean && $(MAKE) dist || exit 1) || exit 1 ; \
	mv Distcheck-MCS $(package) ; \
	tar tjf $(package)/$(package).tar.bz2 |sed -e 's,/$$,,' |sort >distdist.list ; \
	rm $(package)/$(package).tar.bz2 ; \
	tar tjf $(package).tar.bz2 |sed -e 's,/$$,,' |sort >before.list ; \
	find $(package) |egrep -v '(makefrag|response)' |sed -e 's,/$$,,' |sort >after.list ; \
	cmp before.list after.list || exit 1 ; \
	cmp before.list distdist.list || exit 1 ; \
	rm -f before.list after.list distdist.list ; \
	rm -rf $(package) InstallTest

monocharge:
	chargedir=monocharge-`date -u +%Y%m%d` ; \
	mkdir "$$chargedir" ; \
	DESTDIR=`cd "$$chargedir" && pwd` ; \
	$(MAKE) install DESTDIR="$$DESTDIR" || exit 1 ; \
	tar cvjf "$$chargedir".tar.bz2 "$$chargedir" ; \
	rm -rf "$$chargedir"

# A bare-bones monocharge.

monocharge-lite:
	chargedir=monocharge-lite-`date -u +%Y%m%d` ; \
	mkdir "$$chargedir" ; \
	DESTDIR=`cd "$$chargedir" && pwd` ; \
	$(MAKE) -C mcs install DESTDIR="$$DESTDIR" || exit 1; \
	$(MAKE) -C class/corlib install DESTDIR="$$DESTDIR" || exit 1; \
	$(MAKE) -C class/System install DESTDIR="$$DESTDIR" || exit 1; \
	$(MAKE) -C class/System.XML install DESTDIR="$$DESTDIR" || exit 1; \
	$(MAKE) -C class/Mono.CSharp.Debugger install DESTDIR="$$DESTDIR" || exit 1; \
	tar cvjf "$$chargedir".tar.bz2 "$$chargedir" ; \
	rm -rf "$$chargedir"

=== mcs/build/Makefile ===
thisdir = build
SUBDIRS = 
include ../build/rules.make

BUILT_FILES = common/Consts.cs

all-local install-local test-local run-test-local csproj-local run-test-ondotnet-local uninstall-local doc-update-local: $(BUILT_FILES)
	@:

clean-local:
	-rm -f $(BUILT_FILES) deps/*

common/Consts.cs: common/Consts.cs.in $(wildcard config.make)
	test -n '$(MONO_VERSION)'
	sed -e 's,@''MONO_VERSION@,$(MONO_VERSION),' $< > $@

PLATFORMS = darwin linux win32
PROFILES = \
	basic \
	build \
	net_2_0 \
	net_3_5	\
	net_4_0	\
	net_4_5 \
	xbuild_12

COMMON_SRCS = \
	Consts.cs.in			\
	Locale.cs			\
	MonoTODOAttribute.cs \
	basic-profile-check.cs

DISTFILES = \
	README.makefiles		\
	README.platforms		\
	README.configury		\
	config-default.make		\
	corcompare.make			\
	corcompare-api.xsl		\
	executable.make			\
	gensources.sh			\
	library.make			\
	nunit-summary.xsl		\
	rules.make			\
	tests.make			\
	$(COMMON_SRCS:%=common/%)	\
	$(PLATFORMS:%=platforms/%.make) $(PROFILES:%=profiles/%.make)

dist-local: dist-default

=== mcs/errors/Makefile ===
thisdir = errors
SUBDIRS = 
include ../build/rules.make

with_mono_path = MONO_PATH="$(topdir)/class/lib/$(PROFILE)$(PLATFORM_PATH_SEPARATOR)$$MONO_PATH"

ilasm = $(topdir)/class/lib/$(PROFILE)/ilasm.exe
ILASM = $(with_mono_path) $(RUNTIME) $(RUNTIME_FLAGS) $(ilasm)

DISTFILES = \
	CONTRIBUTORS_README 	\
	errors.txt 		\
	$(wildcard *.cs)	\
	$(wildcard *.il)	\
	$(wildcard *.inc)	\
	$(wildcard *.pub)	\
	$(wildcard *.snk)	\
	$(wildcard *.response)	\
	$(wildcard known-issues-*)	\
	$(wildcard dlls/first/*.cs)	\
	$(wildcard dlls/second/*.cs)

TEST_SUPPORT_FILES = \
	CS0012-lib.dll CS0012-2-lib.dll CS0012-3-lib.dll CS0012-4-lib.dll CS0012-5-lib.dll CS0012-6-lib.dll CS0012-9-lib.dll CS0012-10-lib.dll CS0012-11-lib.dll CS0012-12-lib.dll CS0012-13-lib.dll CS0012-14-lib.dll CS0012-15-lib.dll CS0012-16-lib.dll CS0012-17-lib.dll CS0012-18-lib.dll CS0012-21-lib.dll CS0012-22-lib.dll CS0012-23-lib.dll CS0012-24-lib.dll CS0019-71-lib.dll CS0029-26-lib.dll \
	CS0103-2-lib.dll CS0118-2-lib.dll CS0122-8-lib.dll CS0122-10-lib.dll CS0122-14-lib.dll CS0122-15-lib.dll CS0122-19-lib.dll CS0122-35-lib.dll CS0122-36-lib.dll CS0143-lib.dll CS0144-3-lib.dll CS0165-19-lib.dll \
	CS0205-3-lib.dll CS0246-29-lib.dll CS0229-3-lib.dll CS0229-4-lib.dll CS0266-25-lib.dll \
	CS0315-2-lib.dll \
	CS0425-7-lib.dll CS0433-lib.dll CS0433-2-lib.dll \
	CS0506-3-lib.dll CS0507-7-lib.dll CS0507-8-lib.dll CS0534-3-lib.dll CS0534-4-lib.dll CS0534-6-lib.dll CS0571-3-lib.dll CS0571-5-lib.dll CS0571-6-lib.dll \
	CS0612-2-lib.dll CS0618-2-lib.dll CS0619-8-lib.dll CS0619-17-lib.dll CS0619-32-lib.dll CS0619-33-lib.dll CS0619-36-lib.dll CS0619-42-lib.dll \
	CS0619-43-lib.dll CS1546-lib.dll CS0619-51-lib.dll CS1509-module.dll CS1681-2-lib.dll \
	CS0730-lib.dll CS0731-1-lib.dll CS0731-2-lib.dll \
	CS1070-lib.dll \
	CS1540-15-lib.dll CS1540-17-lib.dll CS1542-lib.dll CS1577-lib.dll \
	CS1683-lib.dll CS1684-lib.dll CS1685-2-lib.dll \
	dlls/first/CS1701-lib.dll dlls/second/CS1701-lib.dll CS1701-lib.dll dlls/first/CS1702-lib.dll dlls/second/CS1702-lib.dll CS1702-lib.dll dlls/first/CS1705-lib.dll dlls/second/CS1705-lib.dll CS1705-lib.dll \
	CS2015-lib.dll CS3005-16-lib.dll CS3013-module.dll CSExternAlias-lib.dll \
	CS8009-lib.dll \
	CSFriendAssembly-lib.dll \
	dlls/first/CS1703-lib.dll dlls/first/CS1704-lib.dll \
	dlls/second/CS1703-lib.dll dlls/second/CS1704-lib.dll

# mention all targets
all-local $(STD_TARGETS:=-local):

VALID_PROFILE := $(filter net_4_5, $(PROFILE))
ifdef VALID_PROFILE

qcheck: run-mcs-tests 

# again, run-test is when the tests actually happen, so
# don't compile on make test.

test-local:
	@:

run-test-local: clean-local
	$(MAKE) run-mcs-tests

check: run-test-local

# Required to test parser correctly
# -compiler-options:-v

TEST_PATTERN = 'v4'
TESTER_OPTIONS = -compiler-options:"-v --break-on-ice -d:NET_4_0;NET_4_5"

COMPILER = $(topdir)/class/lib/$(BUILD_TOOLS_PROFILE)/mcs.exe
TESTER = MONO_RUNTIME='$(RUNTIME)' $(TEST_RUNTIME) $(RUNTIME_FLAGS) $(LOCAL_RUNTIME_FLAGS) $(topdir)/class/lib/$(PROFILE)/compiler-tester.exe

run-mcs-tests: $(TEST_SUPPORT_FILES)
	$(TESTER) -mode:neg -files:$(TEST_PATTERN) -compiler:$(COMPILER) -issues:known-issues-$(PROFILE) -log:$(PROFILE).log $(TESTER_OPTIONS) $(TOPTIONS)

endif

clean-local:
	rm -f *.exe *.dll *.log *.mdb dummy.xml *.junk dlls/first/*.dll dlls/second/*.dll

dist-local: dist-default

csproj-local install-local uninstall-local:

CS1701-lib.dll : CS1701-lib.cs
	$(CSCOMPILE) /target:library /warn:0 /r:dlls/first/CS1701-lib.dll /out:$@ $<

CS1702-lib.dll : CS1702-lib.cs
	$(CSCOMPILE) /target:library /warn:0 /r:dlls/first/CS1702-lib.dll /out:$@ $<

CS1705-lib.dll : CS1705-lib.cs
	$(CSCOMPILE) /target:library /warn:0 /r:dlls/first/CS1705-lib.dll /out:$@ $<

%-lib.dll: %-lib.cs
	$(CSCOMPILE) /target:library /warn:0 /out:$@ $<

%-module.dll: %-module.cs
	$(CSCOMPILE) /target:module /out:$@ $<

%-lib.dll: %-lib.il
	$(ILASM) /dll /out:$@ $<

=== mcs/mcs/Makefile ===
# To produce a debugging parser, use the version that says "-cvt"
JAY_FLAGS=-c
# JAY_FLAGS=-cvt

thisdir := mcs
SUBDIRS := 
include ../build/rules.make

EXTRA_DISTFILES = \
	mcs.csproj		\
	mcs.sln		\
	cs-parser.jay		\
	mcs.exe.sources

ifeq (basic, $(PROFILE))
PROGRAM = basic.exe
sourcefile = mcs.exe.sources
else
PROGRAM_USE_INTERMEDIATE_FILE = true
PROGRAM = mcs.exe
the_libdir = $(topdir)/class/lib/build/
LOCAL_MCS_FLAGS += -lib:$(topdir)/class/lib/build -debug
endif

LOCAL_MCS_FLAGS += -d:STATIC,NO_SYMBOL_WRITER,NO_AUTHENTICODE

PROGRAM_INSTALL_DIR = $(mono_libdir)/mono/4.5

PROGRAM_COMPILE = $(BOOT_COMPILE)

BUILT_SOURCES = cs-parser.cs

CLEAN_FILES += y.output

%-parser.cs: %-parser.jay $(topdir)/jay/skeleton.cs
	$(topdir)/jay/jay $(JAY_FLAGS) < $(topdir)/jay/skeleton.cs $< > jay-tmp.out && mv jay-tmp.out $@

KEEP_OUTPUT_FILE_COPY = yes

include ../build/executable.make

#
# Below this line we have local targets used for testing and development
#

# Testing targets

TIME = time

# This used to be called test, but that conflicts with the global
# recursive target.

btest: mcs2.exe mcs3.exe
	ls -l mcs2.exe mcs3.exe

mcs2.exe: $(PROGRAM)
	$(TIME) $(RUNTIME) $(RUNTIME_FLAGS) $(PROGRAM) $(USE_MCS_FLAGS) -target:exe -out:$@ $(BUILT_SOURCES) @$(response)

mcs3.exe: mcs2.exe
	$(TIME) $(RUNTIME) $(RUNTIME_FLAGS) ./mcs2.exe $(USE_MCS_FLAGS) -target:exe -out:$@ $(BUILT_SOURCES) @$(response)

wc:
	wc -l $(BUILT_SOURCES) `cat $(sourcefile)`

# we need this because bash tries to use its own crappy timer
FRIENDLY_TIME = $(shell which time) -f'%U seconds'

do-time : $(PROGRAM)
	@ echo -n "Run 1:   "
	@ rm -f mcs2.exe
	@ $(MAKE) TIME="$(FRIENDLY_TIME)" mcs2.exe > /dev/null || (echo FAILED; exit 1)
	@ echo -n "Run 2:   "
	@ rm -f mcs3.exe
	@ $(MAKE) TIME="$(FRIENDLY_TIME)" mcs3.exe > /dev/null || (echo FAILED; exit 1)
	@ $(MAKE) do-corlib

do-corlib:
	@ echo -n "corlib:  "
	@ rm -f ../class/lib/mscorlib.dll
	@ cd ../class/corlib ; $(MAKE) BOOTSTRAP_MCS='$(FRIENDLY_TIME) mono $$(topdir)/class/lib/$(PROFILE)/mcs.exe' > /dev/null || (echo FAILED; exit 1)

PROFILER=default

do-gettext:
	xgettext --keyword='Report.Error:3' --keyword='Report.Error:2' --keyword='Report.Warning:3' --keyword='Report.Warning:2' -o mcs.po --language='C#' `cat gmcs.exe.sources | grep -v /`

profile : $(PROGRAM)
	$(RUNTIME) $(RUNTIME_FLAGS) --profile=$(PROFILER) $(PROGRAM) $(USE_MCS_FLAGS) -target:exe -out:mcs2.exe $(BUILT_SOURCES) @$(response)

debug-parser:
	rm cs-parser.cs
	$(MAKE) JAY_FLAGS=-cvt

#
# quick hack target, to quickly develop the gmcs compiler
# Update manually.

q: cs-parser.cs qh
	echo 'System.Console.WriteLine ("Hello");' | mono csharp.exe
	echo -e 'using System;\nConsole.WriteLine ("hello");' | mono csharp.exe
	echo -e '"foo" == "bar";' | mono csharp.exe
	echo -e 'var a = 1;\na + 2;' | mono csharp.exe
	echo -e 'int j;\nj = 1;' | mono csharp.exe
	echo -e 'var a = new int[]{1,2,3};\nfrom x in a select x;' | mono csharp.exe
	echo -e 'var a = from f in System.IO.Directory.GetFiles ("/tmp") where f == "passwd" select f;' | mono csharp.exe

=== mcs/class/Compat.ICSharpCode.SharpZipLib/Makefile ===
thisdir = class/Compat.ICSharpCode.SharpZipLib
SUBDIRS = 
include ../../build/rules.make

LIBRARY = Compat.ICSharpCode.SharpZipLib.dll
LIBRARY_NAME = ICSharpCode.SharpZipLib.dll
LIBRARY_COMPAT = yes
LIBRARY_SNK = SharpZipLib.key

LIB_MCS_FLAGS = -r:$(corlib) -r:System.dll -r:System.Xml.dll
NO_TEST = yes
EXTRA_DISTFILES = SharpZipLib.pub $(LIBRARY_SNK)

include ../../build/library.make

=== mcs/class/Cscompmgd/Makefile ===
thisdir = class/Cscompmgd
SUBDIRS = 
include ../../build/rules.make

LIBRARY = Cscompmgd.dll
LIB_MCS_FLAGS = /r:$(corlib) /r:System.dll
TEST_MCS_FLAGS = $(LIB_MCS_FLAGS) -nowarn:0618 -nowarn:219 -nowarn:169
LIBRARY_NAME = cscompmgd.dll

include ../../build/library.make

=== mcs/class/Facades/Makefile ===
MCS_BUILD_DIR = ../../build

thisdir = class/Facades

monotouch_SUBDIRS = System.Collections.Concurrent System.Collections System.ComponentModel.Annotations System.ComponentModel.EventBasedAsync System.ComponentModel \
	System.Diagnostics.Contracts System.Diagnostics.Debug System.Diagnostics.Tracing System.Diagnostics.Tools System.Dynamic.Runtime System.Globalization System.IO System.Linq.Expressions \
	System.Linq.Parallel System.Linq.Queryable System.Linq System.Net.NetworkInformation System.Net.Primitives System.Net.Requests System.ObjectModel \
	System.Reflection.Extensions System.Reflection.Primitives System.Reflection System.Resources.ResourceManager System.Runtime.Extensions \
	System.Runtime.InteropServices System.Runtime.InteropServices.WindowsRuntime System.Runtime.Numerics System.Runtime.Serialization.Json \
	System.Runtime.Serialization.Primitives System.Runtime.Serialization.Xml System.Runtime System.Security.Principal System.ServiceModel.Http \
	System.ServiceModel.Primitives System.ServiceModel.Security System.Text.Encoding.Extensions System.Text.Encoding System.Text.RegularExpressions System.Threading.Tasks.Parallel \
	System.Threading.Tasks System.Threading.Timer System.Threading System.Xml.ReaderWriter System.Xml.XDocument System.Xml.XmlSerializer

mobile_static_SUBDIRS = $(monotouch_SUBDIRS)

net_4_5_SUBDIRS = $(monotouch_SUBDIRS) System.Reflection.Emit.ILGeneration System.Reflection.Emit.Lightweight System.Reflection.Emit

monodroid_SUBDIRS = $(net_4_5_SUBDIRS)

xammac_SUBDIRS = $(net_4_5_SUBDIRS)

PROFILE_SUBDIRS = $(net_4_5_SUBDIRS)

#OVERRIDE_TARGET_ALL = yes

# 
# The output directory for the facade assemblies
#
target_dir = $(topdir)/class/lib/$(PROFILE)/Facades

#
# Contains the expanded version of the target dll for each profile
#
target_libraries = $(patsubst %,$(target_dir)/%.dll,$(SUBDIRS))

#
# To build each target, go into the subdirectory
#
$(target_dir)/%.dll: 
	(cd `basename $@ .dll`; $(MAKE))

#all.override: $(target_libraries)

include $(MCS_BUILD_DIR)/rules.make

dist-local: dist-default

SUBDIRS = $(net_4_5_SUBDIRS)

doc-update-local:
	@echo "not doing docs"

doc-update-recursive:
	@echo "do not recurse the Facades folder"

=== mcs/class/IBM.Data.DB2/Makefile ===
thisdir = class/IBM.Data.DB2
SUBDIRS =
include ../../build/rules.make

LIBRARY = IBM.Data.DB2.dll
LIB_MCS_FLAGS = /unsafe /r:$(corlib) /r:System.dll \
	/r:System.Xml.dll /r:System.Data.dll -warn:1
NO_TEST = yes

EXTRA_DISTFILES = ibm.pub

include ../../build/library.make

=== mcs/class/ICSharpCode.SharpZipLib/Makefile ===
thisdir = class/ICSharpCode.SharpZipLib
SUBDIRS = 
include ../../build/rules.make

LIBRARY = ICSharpCode.SharpZipLib.dll
LIBRARY_SNK = SharpZipLib.key

LIB_MCS_FLAGS = /r:$(corlib) /r:System.dll /r:System.Xml.dll -warn:1
NO_TEST = yes
EXTRA_DISTFILES = SharpZipLib.pub $(LIBRARY_SNK)

include ../../build/library.make

=== mcs/class/Managed.Windows.Forms/Makefile ===
thisdir = class/Managed.Windows.Forms
include ../../build/rules.make

LIBRARY = System.Windows.Forms.dll

LIB_MCS_FLAGS = /unsafe \
	/r:$(corlib) /r:System.dll /r:System.Xml.dll \
	/r:System.Drawing.dll /r:Accessibility.dll \
	/r:System.Data.dll /r:Mono.Posix.dll \
	/r:Mono.WebBrowser \
	/r:System.Configuration.dll \
	/r:System.Runtime.Serialization.Formatters.Soap \
	@System.Windows.Forms.dll.resources \
	-nowarn:618,612,809

ifeq (true, $(GENERATE_RESOURCES))
LIB_MCS_FLAGS += /define:GENERATING_RESOURCES
endif

RESX_RESOURCES = \
	resources/keyboards.resources
	
CLEAN_FILES += $(RESX_RESOURCES)

CUR_RESOURCES = resources/NWSE.cur resources/NESW.cur \
	resources/SplitterNS.cur \
	resources/SplitterWE.cur \
	resources/NWSE.cur \
	resources/NESW.cur \
	resources/DnDNo.cur \
	resources/DnDCopy.cur \
	resources/DnDLink.cur \
	resources/DnDMove.cur

RESOURCES = $(RESX_RESOURCES) $(CUR_RESOURCES)

PREBUILT = $(RESX_RESOURCES:=.prebuilt)

IMAGES_RESOURCES = \
	resources/16_computer.png		\
	resources/32_computer.png		\
	resources/computer.png			\
	resources/16_document-open.png		\
	resources/32_document-open.png		\
	resources/document-open.png		\
	resources/16_folder.png			\
	resources/folder-new.png		\
	resources/folder.png			\
	resources/16_folder-remote.png		\
	resources/32_folder-remote.png		\
	resources/folder-remote.png		\
	resources/go-previous.png		\
	resources/go-top.png			\
	resources/22_page-magnifier.png		\
	resources/preferences-system-windows.png\
	resources/16_printer.png		\
	resources/32_printer.png		\
	resources/text-x-generic.png		\
	resources/16_user-desktop.png		\
	resources/32_user-desktop.png		\
	resources/user-desktop.png		\
	resources/16_user-home.png		\
	resources/32_user-home.png		\
	resources/user-home.png		\
	resources/16_dialog-error.png		\
	resources/16_dialog-information.png	\
	resources/16_dialog-warning.png		\
	resources/1-up.png			\
	resources/2-up.png			\
	resources/3-up.png			\
	resources/4-up.png			\
	resources/6-up.png			\
	resources/nav_delete.png		\
	resources/nav_end.png			\
	resources/nav_first.png			\
	resources/nav_previous.png		\
	resources/nav_next.png			\
	resources/nav_plus.png			\
	resources/image-missing.png		\
	resources/image-x-generic.png		\
	resources/propertygrid-alphabetical.png	\
	resources/propertygrid-categorized.png	\
	resources/EventsTab.bmp			\
	resources/PropertiesTab.bmp 		\
	resources/propertygrid-propertypages.png	\
	resources/mono.ico			\
	resources/errorProvider.ico


TEST_DISTFILES = \
	M.gif \
	Test/resources/a.cur \
	Test/resources/32x32.ico \
	Test/System.Resources/compat_1_1.resx \
	Test/System.Resources/compat_2_0.resx \
	Test/System.Windows.Forms/bitmaps/a.png \
	Test/DummyAssembly/AnotherSerializable.cs \
	Test/DummyAssembly/Convertable.cs \
	Test/DummyAssembly/Properties/AssemblyInfo.cs \

EXTRA_DISTFILES = \
	README System.Windows.Forms.dll.resources \
	$(RESX_RESOURCES:.resources=.resx) $(CUR_RESOURCES) $(PREBUILT) \
	$(IMAGES_RESOURCES) \
	$(TEST_DISTFILES)

TEST_MCS_FLAGS = /r:System.Data.dll /r:System.Drawing.dll /r:Accessibility.dll -r:System.dll -r:System.Xml.dll -r:System.Runtime.Serialization.Formatters.Soap\
	-resource:Test/resources/a.cur,a.cur \
	-resource:Test/resources/32x32.ico,32x32.ico \
	-nowarn:618,612

DummyAssembly.dll:
	$(CSCOMPILE) /target:library /out:$@ Test/DummyAssembly/AnotherSerializable.cs Test/DummyAssembly/Convertable.cs Test/DummyAssembly/Properties/AssemblyInfo.cs

test-local: DummyAssembly.dll

include ../../build/library.make

TEST_HARNESS_EXCLUDES = -exclude=Interactive,NotWorking,ValueAdd,CAS,InetAccess
TEST_HARNESS_EXCLUDES_ONDOTNET = -exclude=Interactive,NotDotNet,CAS

$(the_lib): $(RESOURCES)

$(RESX_RESOURCES): %.resources: %.resx
	$(RESGEN) $< || cp $@.prebuilt $@

$(LIBRARY): $(CUR_RESOURCES)

$(PREBUILT): %.prebuilt: %
	cp $* $@

dist-default: $(PREBUILT)

=== mcs/class/Microsoft.Build.Tasks/Makefile ===
thisdir = class/Microsoft.Build.Tasks
SUBDIRS =
include ../../build/rules.make

XBUILD_DIR=$(topdir)/tools/xbuild
include $(XBUILD_DIR)/xbuild.make

LIBRARY = Microsoft.Build.Tasks.dll

LIBRARY_NAME = Microsoft.Build.Tasks$(NAME_SUFFIX).dll

LIB_MCS_FLAGS = \
	/r:$(corlib)				\
	/r:System.dll				\
	/r:System.Core.dll			\
	/r:System.Xml.dll			\
	/r:System.Windows.Forms.dll		\
	/r:$(XBUILD_UTILITIES)			\
	/r:$(XBUILD_FRAMEWORK)			\
	/r:$(XBUILD_ENGINE)			\
	/r:$(XBUILD_TASKS)

TEST_MCS_FLAGS = \
	/r:System.Xml.dll			\
	/r:$(XBUILD_ENGINE)	\
	/r:$(XBUILD_FRAMEWORK)	\
	/r:$(XBUILD_TASKS)	\
	/r:$(XBUILD_UTILITIES)			\
	/r:System.Core.dll

ifeq (4, $(FRAMEWORK_VERSION_MAJOR))
	TEST_MCS_FLAGS += /r:Microsoft.Build.dll
endif

EXTRA_DISTFILES = \
	Test/resources/test.cs \
	Test/resources/Sample.cs \
	Test/resources/Sample.vb \
	Test/resources/junk.txt \
	Test/test-config-file*

Test/resources/test.dll: Test/resources/test.cs
	$(CSCOMPILE) -target:library Test/resources/test.cs

clean-test-resources:
	rm -f Test/resources/test.dll

test-local: Test/resources/test.dll

clean-local: clean-test-resources

include $(XBUILD_DIR)/xbuild_test.make
include ../../build/library.make

=== mcs/class/Microsoft.Build.Utilities/Makefile ===
thisdir = class/Microsoft.Build.Utilities
SUBDIRS = 
include ../../build/rules.make

XBUILD_DIR=$(topdir)/tools/xbuild
include $(XBUILD_DIR)/xbuild.make

LIBRARY = Microsoft.Build.Utilities.dll
LIBRARY_NAME = Microsoft.Build.Utilities$(NAME_SUFFIX).dll

LIB_MCS_FLAGS = \
	/r:$(corlib)				\
	/r:System.dll				\
	/r:System.Core.dll			\
	/r:System.Xml.dll			\
	/r:$(XBUILD_FRAMEWORK)

TEST_MCS_FLAGS = /r:$(XBUILD_ENGINE) /r:$(XBUILD_FRAMEWORK) -r:System.dll -r:System.Core.dll

include $(XBUILD_DIR)/xbuild_test.make
include ../../build/library.make

=== debian/changelog ===
mono-reference-assemblies (3.12.1+dfsg-2) unstable; urgency=medium

  * [d0775e7] {2.0,3.5,4.0} -> {2.0,3.5,4.0}-api name change in Mono 4.4
  * [d6d06c9] Add 3.5 -> 2.0 dependency (Closes: #838331)
  * [95247bd] Add a tzdata build-dep (Closes: #839428)

 -- Jo Shields <jo.shields@xamarin.com>  Mon, 03 Oct 2016 15:23:51 +0100

=== debian/control ===
Source: mono-reference-assemblies
Section: cli-mono
Priority: optional
Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Mirco Bauer <meebey@debian.org>, Jo Shields <directhex@apebox.org>
Build-Depends: debhelper (>= 7.0.50~),
	dpkg-dev (>= 1.16.1~),
	procps,
	bison,
	libtool,
	libxml-dom-perl,
	libxslt1-dev,
	tzdata,
	dc,
	lsb-release,
	libx11-dev,
	libxt-dev,
	zlib1g-dev,
	autoconf,
	automake
Standards-Version: 3.9.6
Homepage: http://www.mono-project.com
Vcs-Git: git://git.debian.org/git/pkg-mono/packages/mono-reference-assemblies.git
Vcs-Browser: http://git.debian.org/?p=pkg-mono/packages/mono-reference-assemblies.git

Package: mono-reference-assemblies-2.0
Breaks: libmono2.0-cil (<< 4.0),
        libmono-accessibility2.0-cil (<< 4.0),
        libmono-cairo2.0-cil (<< 4.0),
        libmono-corlib2.0-cil (<< 4.0),
        libmono-cscompmgd8.0-cil (<< 4.0),
        libmono-data-tds2.0-cil (<< 4.0),
        libmono-debugger-soft2.0-cil (<< 4.0),
        libmono-debugger-soft2.0a-cil (<< 4.0),
        libmono-i18n2.0-cil (<< 4.0),
        libmono-i18n-west2.0-cil (<< 4.0),
        libmono-ldap2.0-cil (<< 4.0),
        libmono-management2.0-cil (<< 4.0),
        libmono-messaging2.0-cil (<< 4.0),
        libmono-messaging-rabbitmq2.0-cil (<< 4.0),
        libmono-microsoft8.0-cil (<< 4.0),
        libmono-microsoft-build2.0-cil (<< 4.0),
        libmono-npgsql2.0-cil (<< 4.0),
        libmono-oracle2.0-cil (<< 4.0),
        libmono-peapi2.0-cil (<< 4.0),
        libmono-peapi2.0a-cil (<< 4.0),
        libmono-posix2.0-cil (<< 4.0),
        libmono-rabbitmq2.0-cil (<< 4.0),
        libmono-relaxng2.0-cil (<< 4.0),
        libmono-security2.0-cil (<< 4.0),
        libmono-sharpzip2.6-cil (<< 4.0),
        libmono-sharpzip2.84-cil (<< 4.0),
        libmono-simd2.0-cil (<< 4.0),
        libmono-sqlite2.0-cil (<< 4.0),
        libmono-system2.0-cil (<< 4.0),
        libmono-system-data2.0-cil (<< 4.0),
        libmono-system-data-linq2.0-cil (<< 4.0),
        libmono-system-data-services2.0-cil (<< 4.0),
        libmono-system-json2.0-cil (<< 4.0),
        libmono-system-ldap2.0-cil (<< 4.0),
        libmono-system-messaging2.0-cil (<< 4.0),
        libmono-system-net2.0-cil (<< 4.0),
        libmono-system-runtime2.0-cil (<< 4.0),
        libmono-system-web2.0-cil (<< 4.0),
        libmono-system-web-mvc1.0-cil (<< 4.0),
        libmono-system-web-mvc2.0-cil (<< 4.0),
        libmono-tasklets2.0-cil (<< 4.0),
        libmono-wcf3.0-cil (<< 4.0),
        libmono-wcf3.0a-cil (<< 4.0),
        libmono-webbrowser2.0-cil (<< 4.0),
        libmono-windowsbase3.0-cil (<< 4.0),
        libmono-winforms2.0-cil (<< 4.0),
        libmono-xbuild-tasks2.0-cil (<< 4.0)
Replaces: libmono2.0-cil (<< 4.0),
          libmono-accessibility2.0-cil (<< 4.0),
          libmono-cairo2.0-cil (<< 4.0),
          libmono-corlib2.0-cil (<< 4.0),
          libmono-cscompmgd8.0-cil (<< 4.0),
          libmono-data-tds2.0-cil (<< 4.0),
          libmono-debugger-soft2.0-cil (<< 4.0),
          libmono-debugger-soft2.0a-cil (<< 4.0),
          libmono-i18n2.0-cil (<< 4.0),
          libmono-i18n-west2.0-cil (<< 4.0),
          libmono-ldap2.0-cil (<< 4.0),
          libmono-management2.0-cil (<< 4.0),
          libmono-messaging2.0-cil (<< 4.0),
          libmono-messaging-rabbitmq2.0-cil (<< 4.0),
          libmono-microsoft8.0-cil (<< 4.0),
          libmono-microsoft-build2.0-cil (<< 4.0),
          libmono-npgsql2.0-cil (<< 4.0),
          libmono-oracle2.0-cil (<< 4.0),
          libmono-peapi2.0-cil (<< 4.0),
          libmono-peapi2.0a-cil (<< 4.0),
          libmono-posix2.0-cil (<< 4.0),
          libmono-rabbitmq2.0-cil (<< 4.0),
          libmono-relaxng2.0-cil (<< 4.0),
          libmono-security2.0-cil (<< 4.0),
          libmono-sharpzip2.6-cil (<< 4.0),
          libmono-sharpzip2.84-cil (<< 4.0),
          libmono-simd2.0-cil (<< 4.0),
          libmono-sqlite2.0-cil (<< 4.0),
          libmono-system2.0-cil (<< 4.0),
          libmono-system-data2.0-cil (<< 4.0),
          libmono-system-data-linq2.0-cil (<< 4.0),
          libmono-system-data-services2.0-cil (<< 4.0),
          libmono-system-json2.0-cil (<< 4.0),
          libmono-system-ldap2.0-cil (<< 4.0),
          libmono-system-messaging2.0-cil (<< 4.0),
          libmono-system-net2.0-cil (<< 4.0),
          libmono-system-runtime2.0-cil (<< 4.0),
          libmono-system-web2.0-cil (<< 4.0),
          libmono-system-web-mvc1.0-cil (<< 4.0),
          libmono-system-web-mvc2.0-cil (<< 4.0),
          libmono-tasklets2.0-cil (<< 4.0),
          libmono-wcf3.0-cil (<< 4.0),
          libmono-wcf3.0a-cil (<< 4.0),
          libmono-webbrowser2.0-cil (<< 4.0),
          libmono-windowsbase3.0-cil (<< 4.0),
          libmono-winforms2.0-cil (<< 4.0),
          libmono-xbuild-tasks2.0-cil (<< 4.0)
Architecture: all
Depends: mono-runtime-common (>= 4.4), ${misc:Depends}
Description: Mono runtime - compiler compatibility for .NET 2.0
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Xamarin.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains files required to compile applications against an older
 version of .NET, using Mono 4.0 or above, which only include the latest 
 version of the class library as-is. This is important for producing apps for
 wider distribution

Package: mono-reference-assemblies-3.5
Architecture: all
Breaks: libmono-microsoft-build2.0-cil (<< 4.0),
        libmono-xbuild-tasks2.0-cil (<< 4.0)
Replaces: libmono-microsoft-build2.0-cil (<< 4.0),
          libmono-xbuild-tasks2.0-cil (<< 4.0)
Depends: mono-runtime-common (>= 4.4), mono-reference-assemblies-2.0 (= ${binary:Version}), ${misc:Depends}
Description: Mono runtime - compiler compatibility for .NET 3.5
 Mono is a platform for running and developing applications based on the
 ECMA/ISO Standards. Mono is an open source effort led by Xamarin.
 Mono provides a complete CLR (Common Language Runtime) including compiler and
 runtime, which can produce and execute CIL (Common Intermediate Language)
 bytecode (aka assemblies), and a class library.
 .
 This package contains files required to compile applications against an older
 version of .NET, using Mono 4.0 or above, which only include the latest 
 version of the class library as-is. This is important for producing apps for
 wider distribution

Package: mono-reference-assemblies-4.0
Breaks: libmono-accessibility4.0-cil (<< 4.0),
        libmono-c5-1.1-cil (<< 4.0),
        libmono-cairo4.0-cil (<< 4.0),
        libmono-compilerservices-symbolwriter4.0-cil (<< 4.0),
        libmono-corlib4.0-cil (<< 4.0),
        libmono-csharp4.0-cil (<< 4.0),
        libmono-csharp4.0a-cil (<< 4.0),
        libmono-csharp4.0b-cil (<< 4.0),
        libmono-csharp4.0c-cil (<< 4.0),
        libmono-custommarshalers4.0-cil (<< 4.0),
        libmono-data-tds4.0-cil (<< 4.0),
        libmono-db2-1.0-cil (<< 4.0),
        libmono-debugger-soft4.0-cil (<< 4.0),
        libmono-debugger-soft4.0a-cil (<< 4.0),
        libmono-http4.0-cil (<< 4.0),
        libmono-i18n4.0-cil (<< 4.0),
        libmono-i18n-cjk4.0-cil (<< 4.0),
        libmono-i18n-mideast4.0-cil (<< 4.0),
        libmono-i18n-other4.0-cil (<< 4.0),
        libmono-i18n-rare4.0-cil (<< 4.0),
        libmono-i18n-west4.0-cil (<< 4.0),
        libmono-ldap4.0-cil (<< 4.0),
        libmono-management4.0-cil (<< 4.0),
        libmono-messaging4.0-cil (<< 4.0),
        libmono-messaging-rabbitmq4.0-cil (<< 4.0),
        libmono-microsoft-build4.0-cil (<< 4.0),
        libmono-microsoft-build-engine4.0-cil (<< 4.0),
        libmono-microsoft-build-framework4.0-cil (<< 4.0),
        libmono-microsoft-build-tasks-v4.0-4.0-cil (<< 4.0),
        libmono-microsoft-build-utilities-v4.0-4.0-cil (<< 4.0),
        libmono-microsoft-csharp4.0-cil (<< 4.0),
        libmono-microsoft-visualc10.0-cil (<< 4.0),
        libmono-microsoft-web-infrastructure1.0-cil (<< 4.0),
        libmono-npgsql4.0-cil (<< 4.0),
        libmono-oracle4.0-cil (<< 4.0),
        libmono-parallel4.0-cil (<< 4.0),
        libmono-peapi4.0-cil (<< 4.0),
        libmono-peapi4.0a-cil (<< 4.0),
        libmono-posix4.0-cil (<< 4.0),
        libmono-rabbitmq4.0-cil (<< 4.0),
        libmono-relaxng4.0-cil (<< 4.0),
        libmono-security4.0-cil (<< 4.0),
        libmono-sharpzip4.84-cil (<< 4.0),
        libmono-simd4.0-cil (<< 4.0),
        libmono-sqlite4.0-cil (<< 4.0),
        libmono-system4.0-cil (<< 4.0),
        libmono-system-componentmodel-composition4.0-cil (<< 4.0),
        libmono-system-componentmodel-dataannotations4.0-cil (<< 4.0),
        libmono-system-configuration4.0-cil (<< 4.0),
        libmono-system-configuration-install4.0-cil (<< 4.0),
        libmono-system-core4.0-cil (<< 4.0),
        libmono-system-data4.0-cil (<< 4.0),
        libmono-system-data-datasetextensions4.0-cil (<< 4.0),
        libmono-system-data-linq4.0-cil (<< 4.0),
        libmono-system-data-services4.0-cil (<< 4.0),
        libmono-system-data-services-client4.0-cil (<< 4.0),
        libmono-system-design4.0-cil (<< 4.0),
        libmono-system-drawing4.0-cil (<< 4.0),
        libmono-system-drawing-design4.0-cil (<< 4.0),
        libmono-system-dynamic4.0-cil (<< 4.0),
        libmono-system-enterpriseservices4.0-cil (<< 4.0),
        libmono-system-identitymodel4.0-cil (<< 4.0),
        libmono-system-identitymodel-selectors4.0-cil (<< 4.0),
        libmono-system-json4.0-cil (<< 4.0),
        libmono-system-json-microsoft4.0-cil (<< 4.0),
        libmono-system-ldap4.0-cil (<< 4.0),
        libmono-system-ldap-protocols4.0-cil (<< 4.0),
        libmono-system-management4.0-cil (<< 4.0),
        libmono-system-messaging4.0-cil (<< 4.0),
        libmono-system-net4.0-cil (<< 4.0),
        libmono-system-numerics4.0-cil (<< 4.0),
        libmono-system-runtime4.0-cil (<< 4.0),
        libmono-system-runtime-caching4.0-cil (<< 4.0),
        libmono-system-runtime-durableinstancing4.0-cil (<< 4.0),
        libmono-system-runtime-serialization4.0-cil (<< 4.0),
        libmono-system-runtime-serialization-formatters-soap4.0-cil (<< 4.0),
        libmono-system-security4.0-cil (<< 4.0),
        libmono-system-servicemodel4.0-cil (<< 4.0),
        libmono-system-servicemodel4.0a-cil (<< 4.0),
        libmono-system-servicemodel-activation4.0-cil (<< 4.0),
        libmono-system-servicemodel-discovery4.0-cil (<< 4.0),
        libmono-system-servicemodel-routing4.0-cil (<< 4.0),
        libmono-system-servicemodel-web4.0-cil (<< 4.0),
        libmono-system-serviceprocess4.0-cil (<< 4.0),
        libmono-system-transactions4.0-cil (<< 4.0),
        libmono-system-web4.0-cil (<< 4.0),
        libmono-system-web-abstractions4.0-cil (<< 4.0),
        libmono-system-web-applicationservices4.0-cil (<< 4.0),
        libmono-system-web-dynamicdata4.0-cil (<< 4.0),
        libmono-system-web-extensions4.0-cil (<< 4.0),
        libmono-system-web-extensions-design4.0-cil (<< 4.0),
        libmono-system-web-routing4.0-cil (<< 4.0),
        libmono-system-web-services4.0-cil (<< 4.0),
        libmono-system-windows-forms4.0-cil (<< 4.0),
        libmono-system-windows-forms-datavisualization4.0-cil (<< 4.0),
        libmono-system-windows-forms-datavisualization4.0a-cil (<< 4.0),
        libmono-system-xaml4.0-cil (<< 4.0),
        libmono-system-xml4.0-cil (<< 4.0),
        libmono-system-xml-linq4.0-cil (<< 4.0),
        libmono-tasklets4.0-cil (<< 4.0),
        libmono-webbrowser4.0-cil (<< 4.0),
        libmono-webmatrix-data4.0-cil (<< 4.0),
        libmono-windowsbase4.0-cil (<< 4.0),
        libmono-xbuild-tasks4.0-cil (<< 4.0)
Replaces: libmono-accessibility4.0-cil (<< 4.0),
          libmono-c5-1.1-cil (<< 4.0),

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:
	#noop

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/mono-reference-assemblies-2.0/usr/lib/mono/2.0-api/
	mkdir -p debian/mono-reference-assemblies-3.5/usr/lib/mono/3.5-api/
	mkdir -p debian/mono-reference-assemblies-4.0/usr/lib/mono/4.0-api/
	for assembly in debian/tmp/usr/lib/mono/2.0/*.dll ; do \
		debian/tmp/usr/bin/mono debian/tmp/usr/lib/mono/4.5/mono-cil-strip.exe $$assembly debian/mono-reference-assemblies-2.0/usr/lib/mono/2.0-api/`basename $$assembly`; \
	done
	for assembly in debian/tmp/usr/lib/mono/3.5/*.dll ; do \
		debian/tmp/usr/bin/mono debian/tmp/usr/lib/mono/4.5/mono-cil-strip.exe $$assembly debian/mono-reference-assemblies-3.5/usr/lib/mono/3.5-api/`basename $$assembly`; \
	done
	for assembly in debian/tmp/usr/lib/mono/4.0/*.dll ; do \
		debian/tmp/usr/bin/mono debian/tmp/usr/lib/mono/4.5/mono-cil-strip.exe $$assembly debian/mono-reference-assemblies-4.0/usr/lib/mono/4.0-api/`basename $$assembly`; \
	done

%:
	dh $@
